Bug 1250287 - domfsinfo do not have output in quiet mode
domfsinfo do not have output in quiet mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.2
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Ján Tomko
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 22:59 EDT by Luyao Huang
Modified: 2016-11-03 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: libvirt-1.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 14:22:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2577 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2016-11-03 08:07:06 EDT

  None (edit)
Description Luyao Huang 2015-08-04 22:59:56 EDT
Description of problem:
domfsinfo do not have output in quiet mode

Version-Release number of selected component (if applicable):
libvirt-1.2.17-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
# virsh domfsinfo rhel7.0-rhel
Mountpoint                           Name     Type     Target
-------------------------------------------------------------------
/                                    dm-1     ext4     vda
/boot                                vda1     ext4     vda


2.
# virsh -q domfsinfo rhel7.0-rhel



3.

Actual results:
domfsinfo do not have output in quiet mode

Expected results:
# virsh -q domfsinfo rhel7.0-rhel
/                                    dm-1     ext4     vda
/boot                                vda1     ext4     vda


Additional info:
Comment 1 Ján Tomko 2015-08-05 04:00:53 EDT
Pushed upstream:
commit ee6160b549568133d904aa27a553d66f0b0c01d3
Author:     Luyao Huang <lhuang@redhat.com>
CommitDate: 2015-08-05 09:58:32 +0200

    virsh: fix domfsinfo output in quiet mode
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250287
    
    When run domfsinfo in quiet mode, we cannot get any
    useful information (just get \n), this is because
    we didn't use vshPrint to print useful information.
    
    Signed-off-by: Luyao Huang <lhuang@redhat.com>

git describe: v1.2.18-27-gee6160b
Comment 3 Dongmin Wang 2016-03-27 22:33:30 EDT
Reproduced on libvirt-1.2.17-3.el7.x86_64

Try to verified with package:
libvirt-1.3.2-1.el7.x86_64

Test steps:
1. 
[root@localhost libvirt]# virsh domfsinfo rhel7.2-bak
Mountpoint                           Name     Type     Target
-------------------------------------------------------------------
/                                    dm-0     xfs      vda
/boot                                vda1     xfs      vda


2. 
root@localhost libvirt]# virsh  -q domfsinfo rhel7.2-bak
/                                    dm-0     xfs      vda
/boot                                vda1     xfs      vda


3. The output is as expected. domfsinfo  have expected output in quiet mode
Comment 4 Fangge Jin 2016-07-15 02:25:31 EDT
Verified on build libvirt-2.0.0-2.el7.x86_64

Steps:
# virsh domfsinfo rhel7.2
Mountpoint                           Name     Type     Target
-------------------------------------------------------------------
/                                    dm-0     xfs      vda
/boot                                vda1     xfs      vda

# virsh -q domfsinfo rhel7.2 
/                                    dm-0     xfs      vda
/boot                                vda1     xfs      vda
Comment 6 errata-xmlrpc 2016-11-03 14:22:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2577.html

Note You need to log in before you can comment on or make changes to this bug.